Assignments Assignments

Classes | Namespaces | Macros | Typedefs | Functions
bmp.cpp File Reference
`#include <stdlib.h>`
`#include <Util/exceptions.h>`
`#include "bmp.h"`

## Classes
struct | tagBITMAPFILEHEADER
struct | tagBITMAPINFOHEADER
struct | tagRGBTRIPLE
struct | tagRGBQUAD

## Namespaces
namespace | Image

## Macros
#define | BI_RGB 0L
#define | BI_RLE8 1L
#define | BI_RLE4 2L
#define | BI_BITFIELDS 3L
#define | BMP_BF_TYPE 0x4D42
#define | BMP_BF_OFF_BITS 54
#define | BMP_BI_SIZE 40

## Typedefs
typedef char | BYTE
typedef unsigned short int | WORD
typedef unsigned int | DWORD
typedef int | LONG
typedef struct tagBITMAPFILEHEADER | BITMAPFILEHEADER
typedef struct tagBITMAPINFOHEADER | BITMAPINFOHEADER
typedef struct tagRGBTRIPLE | RGBTRIPLE
typedef struct tagRGBQUAD | RGBQUAD

## Functions
static WORD | WordReadLE (FILE *fp)
static void | WordWriteLE (WORD x, FILE *fp)
static DWORD | DWordReadLE (FILE *fp)
static void | DWordWriteLE (DWORD x, FILE *fp)
static LONG | LongReadLE (FILE *fp)
static void | LongWriteLE (LONG x, FILE *fp)
void | Image::BMPReadImage (FILE *fp, Image32 &img)
void | Image::BMPWriteImage (const Image32 &img, FILE *fp)
void | Image::BMPReadImage (std::string fileName, Image32 &img)
void | Image::BMPWriteImage (const Image32 &img, std::string fileName)

## Macro Definition Documentation

## ◆ BI_BITFIELDS

#define BI_BITFIELDS 3L

## ◆ BI_RGB

#define BI_RGB 0L

## ◆ BI_RLE4

#define BI_RLE4 2L

## ◆ BI_RLE8

#define BI_RLE8 1L

## ◆ BMP_BF_OFF_BITS

#define BMP_BF_OFF_BITS 54

## ◆ BMP_BF_TYPE

#define BMP_BF_TYPE 0x4D42

## ◆ BMP_BI_SIZE

#define BMP_BI_SIZE 40

## Typedef Documentation

## ◆ BITMAPFILEHEADER

typedef struct tagBITMAPFILEHEADER BITMAPFILEHEADER

## ◆ BITMAPINFOHEADER

typedef struct tagBITMAPINFOHEADER BITMAPINFOHEADER

## ◆ BYTE

typedef char BYTE

## ◆ DWORD

typedef unsigned int DWORD

## ◆ LONG

typedef int LONG

## ◆ RGBQUAD

typedef struct tagRGBQUAD RGBQUAD

## ◆ RGBTRIPLE

typedef struct tagRGBTRIPLE RGBTRIPLE

## ◆ WORD

typedef unsigned short int WORD

## Function Documentation

## ◆ DWordReadLE()

static DWORD DWordReadLE | ( | FILE * | fp | ) |
| static

## ◆ DWordWriteLE()

static void DWordWriteLE | ( | DWORD | x,
|  | FILE * | fp )
| static

## ◆ LongReadLE()

static LONG LongReadLE | ( | FILE * | fp | ) |
| static

## ◆ LongWriteLE()

static void LongWriteLE | ( | LONG | x,
|  | FILE * | fp )
| static

## ◆ WordReadLE()

static WORD WordReadLE | ( | FILE * | fp | ) |
| static

## ◆ WordWriteLE()

static void WordWriteLE | ( | WORD | x,
|  | FILE * | fp )
| static